> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an item site

> Retrieves an item site by ID.

**IMPORTANT:** If you need to fetch multiple specific item sites by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.



## OpenAPI

````yaml GET /quickbooks-desktop/item-sites/{id}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/item-sites/{id}:
    get:
      summary: Retrieve an item site
      description: >-
        Retrieves an item site by ID.


        **IMPORTANT:** If you need to fetch multiple specific item sites by ID,
        use the list endpoint instead with the `ids` parameter. It accepts an
        array of IDs so you can batch the request into a single call, which is
        significantly faster.
      parameters:
        - in: path
          name: id
          description: >-
            The QuickBooks-assigned unique identifier of the item site to
            retrieve.
          schema:
            type: string
            description: >-
              The QuickBooks-assigned unique identifier of the item site to
              retrieve.
            example: 80000001-1234567890
          required: true
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns the specified item site.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qbd_item_site'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const itemSite = await
            conductor.qbd.itemSites.retrieve('80000001-1234567890', {
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(itemSite.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            item_site = conductor.qbd.item_sites.retrieve(
                id="80000001-1234567890",
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(item_site.id)
components:
  schemas:
    qbd_item_site:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this item site. This
            ID is unique across all item sites but not across different
            QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          type: string
          const: qbd_item_site
          description: The type of object. This value is always `"qbd_item_site"`.
          example: qbd_item_site
        createdAt:
          type: string
          description: >-
            The date and time when this item site was created, in ISO 8601
            format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this item site was last updated, in ISO 8601
            format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this item site
            object, which changes each time the object is modified. When
            updating this object, you must provide the most recent
            `revisionNumber` to ensure you're working with the latest data;
            otherwise, the update will return an error.
          example: '1721172183'
        inventoryAssemblyItem:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The inventory assembly item associated with this item site. An
            inventory assembly item is assembled or manufactured from other
            inventory items, and the items and/or assemblies that make up the
            assembly are called components.
          example:
            id: 80000001-1234567890
            fullName: Inventory Assembly Item
        inventoryItem:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: The inventory item associated with this item site.
          example:
            id: 80000001-1234567890
            fullName: Inventory Item
        inventorySite:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The site location where inventory for the item associated with this
            item site is stored.
          example:
            id: 80000001-1234567890
            fullName: Main Warehouse
        inventorySiteLocation:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The specific location (e.g., bin or shelf) within the inventory site
            where the item associated with this item site is stored.
          example:
            id: 80000001-1234567890
            fullName: Aisle 3, Shelf B
        reorderLevel:
          type:
            - number
            - 'null'
          description: >-
            The inventory level at which QuickBooks prompts you to reorder this
            item site.
          example: 25
        quantityOnHand:
          type:
            - number
            - 'null'
          description: The number of units of this item site currently in inventory.
          example: 150
        quantityOnPurchaseOrders:
          type:
            - number
            - 'null'
          description: >-
            The number of units of this item site that are currently listed on
            outstanding purchase orders and have not yet been received.
          example: 40
        quantityOnSalesOrders:
          type:
            - number
            - 'null'
          description: >-
            The number of units of this item site that are currently listed on
            outstanding sales orders and have not yet been fulfilled or
            delivered to customers.
          example: 30
        quantityToBeBuiltByPendingBuildTransactions:
          type:
            - number
            - 'null'
          description: >-
            The number of units of this item site that are scheduled to be built
            on pending build transactions.
          example: 15
        quantityRequiredByPendingBuildTransactions:
          type:
            - number
            - 'null'
          description: >-
            The number of units of this item site required by pending build
            transactions.
          example: 12
        quantityOnPendingTransfers:
          type:
            - number
            - 'null'
          description: >-
            The number of units of this item site that are currently on pending
            inventory transfer transactions.
          example: 8
        assemblyBuildPoint:
          type:
            - number
            - 'null'
          description: >-
            The inventory level of this item site at which a new build assembly
            should begin. When the combined `quantityOnHand` and
            `quantityOnPurchaseOrders` drops below this point, QuickBooks flags
            the need to build additional units.
          example: 20
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - inventoryAssemblyItem
        - inventoryItem
        - inventorySite
        - inventorySiteLocation
        - reorderLevel
        - quantityOnHand
        - quantityOnPurchaseOrders
        - quantityOnSalesOrders
        - quantityToBeBuiltByPendingBuildTransactions
        - quantityRequiredByPendingBuildTransactions
        - quantityOnPendingTransfers
        - assemblyBuildPoint
      additionalProperties: false
      title: The Item Site object
      x-conductor-object-type: item
      summary: >-
        An item site represents a location where inventory items are stored.
        This is useful for tracking inventory at different locations, such as a
        warehouse or a store.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).